#include<bits/stdc++.h>
using namespace std;
string pitanje(int n, int m, int k){
	if(n/k>2)m=m-k*(n/k)*(n/k-1)/2;
	else {
		if(n/k==2)m=m-3*k;
		if(n/k==1)m=n-k;
	}
	int a=n-(n/k)*k;
	m=m+(n/k+1)*a;
	if(m<0)return "Nie";
	else return "Tak";
}
int main(){
	int t;
	cin>>t;
	int n,m,k;
	string a[t];
	for(int i=0;i<t;i++){
		cin>>n>>m>>k;
		a[i]=pitanje(n,m,k);
	}
	for(int i=0;i<t;i++)cout<<a[i]<<endl;
}